Update instance account
Updates an existing Minecraft account in the instance. The account is matched by profile_id and replaced.
Updates an existing Minecraft account in the instance. The account is matched by profile_id and replaced.
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
id*string
The unique identifier (UUID) of the instance.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to update an existing Minecraft account in an instance. The account is matched by profile_id and replaced with the new data.
account*
The updated account data. The profile_id must match an existing account in the instance.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/accounts:update" \ -H "Content-Type: application/json" \ -d '{ "account": { "type": "MICROSOFT_JAVA_CREDENTIALS", "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a", "lastKnownName": "string" } }'{}How is this page?
